/*
 * displayMuxer.h
 *
 *  Created on: 05.09.2016
 *      Author: wn
 */

#ifndef DISPLAYMUXER_H_
#define DISPLAYMUXER_H_

#include <stdbool.h>
#include <stdint.h>

typedef enum {
  FIRST_MUX = 0,
  TIMER_MUX = FIRST_MUX,
  TEMPERATURE_MUX,
  MUX_ENDS
} tMuxerSlot;

void displayMuxerInit(void *handleArg);
void displayMuxerExec(void *handleArg);
void displayMuxerSetValue(uint8_t value, bool valid, tMuxerSlot slot);


#endif /* DISPLAYMUXER_H_ */
